org.apache.felix.scr

## Interface Reference

Deprecated.
Use the ServiceComponentRuntime service.

    @Deprecated
    public interface Reference

The `Reference` interface represents a single reference (or dependency) to a service used by a Component.

### Method Summary

Methods
`String` `getBindMethodName()` Deprecated. Returns the name of the method called if a service is being bound to the Component or `null` if no such method is configued.
`org.osgi.framework.ServiceReference[]` `getBoundServiceReferences()` Deprecated.
`String` `getName()` Deprecated. Returns the name of this Reference.
`String` `getServiceName()` Deprecated. Returns the name of the service used by this Reference.
`org.osgi.framework.ServiceReference[]` `getServiceReferences()` Deprecated. Returns an array of references to the services bound to this Reference or `null` if no services are currently bound.
`String` `getTarget()` Deprecated. Returns the value of the target property of this reference.
`String` `getUnbindMethodName()` Deprecated. Returns the name of the method called if a service is being unbound from the Component or `null` if no such method is configued.
`String` `getUpdatedMethodName()` Deprecated. Returns the name of the method called if a bound service updates its service registration properties or `null` if no such method is configued.
`boolean` `isMultiple()` Deprecated. Returns whether this reference is multiple.
`boolean` `isOptional()` Deprecated. Returns whether this reference is optional.
`boolean` `isReluctant()` Deprecated. Returns `true` if the reference is defined with reluctant policy option.
`boolean` `isSatisfied()` Deprecated. Returns whether this reference is satisified.
`boolean` `isStatic()` Deprecated. Returns `true` if the reference is defined with static policy.

### Method Detail

#### getName

    String getName()

Deprecated.
Returns the name of this Reference. This method provides access to the `name` attribute of the `referenec` element.

#### getServiceName

    String getServiceName()

Deprecated.
Returns the name of the service used by this Reference. This method provides access to the `interface` attribute of the `reference` element.

#### getServiceReferences

    org.osgi.framework.ServiceReference[] getServiceReferences()

Deprecated.
Returns an array of references to the services bound to this Reference or `null` if no services are currently bound.

#### getBoundServiceReferences

    @Deprecated
    org.osgi.framework.ServiceReference[] getBoundServiceReferences()

Deprecated.
added by mistake. Use getServiceReferences();

Returns:

#### isSatisfied

    boolean isSatisfied()

Deprecated.
Returns whether this reference is satisified. A `optional` component is always satsified. Otherwise `true` is only returned if at least one service is bound.

#### isOptional

    boolean isOptional()

Deprecated.
Returns whether this reference is optional. This method provides access to the lower bound of the `cardinality` attribute of the `reference` element. In other words, this method returns `true` if the cardinality is 0..1 or 0..n.

#### isMultiple

    boolean isMultiple()

Deprecated.
Returns whether this reference is multiple. This method provides access to the upper bound of the `cardinality` attribute of the `reference` element. In other words, this method returns `true` if the cardinality is 0..n or 1..n.

#### isStatic

    boolean isStatic()

Deprecated.
Returns `true` if the reference is defined with static policy. This method provides access to the `policy` element of the `reference` element. `true` is returned if the policy is defined as static.

#### isReluctant

    boolean isReluctant()

Deprecated.
Returns `true` if the reference is defined with reluctant policy option. This method provides access to the `policy-option` element of the `reference` element. `true` is returned if the policy option is defined as reluctant

Since:
  1.7

#### getTarget

    String getTarget()

Deprecated.
Returns the value of the target property of this reference. Initially (without overwriting configuration) this method provides access to the `target` attribute of the `reference` element. If configuration overwrites the target property, this method returns the value of the Component property whose name is derived from the `reference name` plus the suffix .target. If no target property exists this method returns `null`.

#### getBindMethodName

    String getBindMethodName()

Deprecated.
Returns the name of the method called if a service is being bound to the Component or `null` if no such method is configued. This method provides access to the `bind` attribute of the `reference` element.

#### getUnbindMethodName

    String getUnbindMethodName()

Deprecated.
Returns the name of the method called if a service is being unbound from the Component or `null` if no such method is configued. This method provides access to the `unbind` attribute of the `reference` element.

#### getUpdatedMethodName

    String getUpdatedMethodName()

Deprecated.
Returns the name of the method called if a bound service updates its service registration properties or `null` if no such method is configued. This method provides access to the `updated` attribute of the `reference` element.

For a component declared in a Declarative Services 1.0 and 1.1 descriptor, this method always returns `null`.

Since:
  1.4